Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder
Class ContentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.placeholder.ContentException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AdContentException

public class ContentException
extends ApplicationException

Implements an exception throw by the Ad services when there is a problem with the content

See Also:
  Serialized Form

Constructor Summary
`ContentException()` Constructor
`ContentException(boolean warning)` Constructor
`ContentException(String msg)` Constructor.
`ContentException(String msg, boolean isWarning)` Constructor.
`ContentException(String msg, Exception source)` Constructor.
`ContentException(String msg, Exception source, boolean isWarning)` Constructor.

Method Summary
`Exception` | `getSourceException()` Gets the exception which caused this exception to be raised
`boolean` | `isWarning()`
`void` | `setWarning(boolean isWarning)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentException

    public ContentException()

  Constructor

### ContentException

    public ContentException(boolean warning)

  Constructor

### ContentException

    public ContentException(String msg)

  Constructor.

Parameters:
  `msg` - the message.

### ContentException

    public ContentException(String msg,
                            boolean isWarning)

  Constructor.

Parameters:
  `msg` - the message.
  `isWarning` - is this only a warning.

### ContentException

    public ContentException(String msg,
                            Exception source)

  Constructor.

Parameters:
  `msg` - the message.
  `source` - the exception which is the source of this exception.

### ContentException

    public ContentException(String msg,
                            Exception source,
                            boolean isWarning)

  Constructor.

Parameters:
  `msg` - the message.
  `source` - the exception which is the source of this exception.
  `isWarning` - is this only a warning.

Method Detail

### getSourceException

    public Exception getSourceException()

  Gets the exception which caused this exception to be raised

  Returns:
    the exception (can be null if none).

### isWarning

    public boolean isWarning()

### setWarning

    public void setWarning(boolean isWarning)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved